/**
 *
 * @group providers_interface
 * @namespace Platform
 */
function Platform() {
    /**
     * @public
     * @name tm
     * @type {Trees}
     * @memberof Platform
     */
    this.tm = new Trees();

    /**
     *
     * @public
     * @name mm
     * @type {Models}
     * @memberof Platform
     */
    this.mm = new Models();

    /**
     *
     * @public
     * @name core_translations
     * @memberof Platform
     */
    this.core_translations = new CoreTranslations();

    /**
     *
     * @public
     * @name core_config
     * @memberof Platform
     */
    this.core_config = new CoreConfig();

    /**
     *
     * @public
     * @name datasource_manager
     * @memberof Platform
     */
    this.datasource_manager = new Datasource();

    /**
     *
     * @public
     * @name user_manager
     * @memberof Platform
     */
    this.user_manager = new UserManager();

    /**
     *
     * @public
     * @function m_sys_addr
     * @memberof Platform
     * @returns {v2.address}
     */
    this.m_sys_addr = function () {

    };

    /**
     *
     * @public
     * @function m_address
     * @memberof Platform
     * @returns {v2.address}
     */
    this.m_address = function () {

    };

}